Menus

Get a menu tree

Use this method to get a menu tree displayed in the Trader's Room.

GET
/api/v2/my/menus

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

deep?integer

If 1, a full menu tree is returned. If 0 (the default value), only root menu items are returned without their child items.

Value in

  • 0
  • 1

Header Parameters

accept-language?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/my/menus" \  -H "accept-language: ja"
[  {    "id": 1,    "caption": "Dashboard",    "name": "dashboard",    "new": true,    "priority": 2,    "type": "default",    "localizedCaption": "string",    "externalUrl": "string",    "icon": "string",    "customAware": {      "behavior": "same_tab"    },    "items": [      null    ]  }]
{  "error": {    "message": "Bad Request",    "details": [      {        "issue": "The selected value is invalid.",        "field": "parameter",        "name": "email_domain_not_found"      }    ]  }}
{  "error": {    "message": "Forbidden"  }}
{  "error": {    "message": "Not Found"  }}
{  "error": {    "message": "Too Many Requests"  }}
{  "error": {    "message": "Access from this country is restricted",    "details": {      "ip": "203.0.113.42",      "country": "RU"    }  }}
{  "error": {    "message": "Service Unavailable"  }}